EnTT: entt::tombstone_t Struct Reference

EnTT 3.16.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
entt::tombstone_t Struct Reference

Tombstone object for all identifiers. More...

`#include <entity.hpp>`

## Public Member Functions
template<typename Entity>
constexpr | operator Entity () const noexcept
| Converts the tombstone object to identifiers of any type.
constexpr bool | operator== (const tombstone_t other) const noexcept
| Compares two tombstone objects.
constexpr bool | operator!= (const tombstone_t other) const noexcept
| Compares two tombstone objects.
template<typename Entity>
constexpr bool | operator== (const Entity entity) const noexcept
| Compares a tombstone object and an identifier of any type.
template<typename Entity>
constexpr bool | operator!= (const Entity entity) const noexcept
| Compares a tombstone object and an identifier of any type.

## Detailed Description

Tombstone object for all identifiers.

Definition at line 284 of file entity.hpp.

## Member Function Documentation

## ◆ operator Entity()

template<typename Entity>

entt::tombstone_t::operator Entity | ( |  | ) | const
| inlinenodiscardconstexprnoexcept

Converts the tombstone object to identifiers of any type.

Template Parameters

  Entity | Type of identifier.

Returns
  The tombstone representation for the given type.

Definition at line 291 of file entity.hpp.

## ◆ operator!=() [1/2]

template<typename Entity>

bool entt::tombstone_t::operator!= | ( | const Entity | entity | ) | const
| inlinenodiscardconstexprnoexcept

Compares a tombstone object and an identifier of any type.

Template Parameters

  Entity | Type of identifier.

Parameters

  entity | Identifier with which to compare.

Returns
  True if the two elements differ, false otherwise.

Definition at line 339 of file entity.hpp.

## ◆ operator!=() [2/2]

bool entt::tombstone_t::operator!= | ( | const tombstone_t | other | ) | const
| inlinenodiscardconstexprnoexcept

Compares two tombstone objects.

Parameters

  other | A tombstone object.

Returns
  False in all cases.

Definition at line 311 of file entity.hpp.

## ◆ operator==() [1/2]

template<typename Entity>

bool entt::tombstone_t::operator== | ( | const Entity | entity | ) | const
| inlinenodiscardconstexprnoexcept

Compares a tombstone object and an identifier of any type.

Template Parameters

  Entity | Type of identifier.

Parameters

  entity | Identifier with which to compare.

Returns
  False if the two elements differ, true otherwise.

Definition at line 322 of file entity.hpp.

## ◆ operator==() [2/2]

bool entt::tombstone_t::operator== | ( | const tombstone_t | other | ) | const
| inlinenodiscardconstexprnoexcept

Compares two tombstone objects.

Parameters

  other | A tombstone object.

Returns
  True in all cases.

Definition at line 302 of file entity.hpp.

The documentation for this struct was generated from the following file:

- src/entt/entity/entity.hpp